Bug 86080 - [EFL] LayoutTestController copy{Encoded,Decoded}Hostname implementation
Summary: [EFL] LayoutTestController copy{Encoded,Decoded}Hostname implementation
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-10 03:41 PDT by Jussi Kukkonen (jku)
Modified: 2017-03-11 10:37 PST (History)
4 users (show)

See Also:


Attachments
work-in-progress: implement EFL LayoutTestController Copy{De,En}codedHostName (6.49 KB, patch)
2012-05-11 01:21 PDT, Jussi Kukkonen (jku)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jussi Kukkonen (jku) 2012-05-10 03:41:54 PDT
EFL's LayoutTestController needs copyDecodedHostName() and copyEncodedHostName() implementation in order to 
unskip fast/encoding/idn-security.html test
Comment 1 Jussi Kukkonen (jku) 2012-05-10 11:03:12 PDT
As a note to self: WebCore/Mac/WebCoreNSURLExtras.mm:isLookalikeCharacter() looks very useful. It even used to have a "FIXME: Move this code down into WebCore so it can be shared with other platforms" when it still lived in WebKit/Mac/Misc.

The IDN script whitelist functions might be useful too but I don't think they get tested by the idn-security test...
Comment 2 Jussi Kukkonen (jku) 2012-05-11 01:21:37 PDT
Created attachment 141352 [details]
work-in-progress: implement EFL LayoutTestController Copy{De,En}codedHostName

No review needed:

    Work-in-progress patch: I'm not going through with this now unless I
    know there is wider benefit to this than just the EFL DRT. The proper
    way to handle this is to move the relevant functions from
    webcore/platform/macWebCoreNSURLExtras.mm to somewhere where others
    can use them. That effort really only makes sense if the browsers
    also start using these, or if other tests depend on this...
    
    The current patch copies isLookalikeCharacter() to EFL
    LayoutTestController for quick-and-dirty results and nearly passes
    the idn-security test: For unknown reasons 0x0702 is still wrongly
    allowed when it is the first character.
Comment 3 Michael Catanzaro 2017-03-11 10:37:20 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.